Name:           python3-usb-monitor
Version:        1.21
Release:        %autorelease
Summary:        USBMonitor is an easy-to-use cross-platform library for USB device monitoring

License:        MIT
URL:            https://github.com/mmerklinger/USBMonitor
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pyudev}

%description
USBMonitor is an easy-to-use cross-platform library for USB device monitoring that simplifies tracking of connections, disconnections, and examination of connected device attributes on both Windows and Linux, freeing the user from platform-specific details or incompatibilities.

%prep
%autosetup -n USBMonitor-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files usbmonitor

%check

%files -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Mon Oct 21 2024 Markus Merklinger <markus@nitrokey.com> - 1.21-1
- Initial package.
